JGraph X 1.3.0.0

## com.mxgraph.model
Class mxGraphModel.mxValueChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxValueChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxValueChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected java.lang.Object` `cell`
`protected java.lang.Object` `previous`
`protected java.lang.Object` `value`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxValueChange(mxGraphModel model, java.lang.Object cell, java.lang.Object value)`

Method Summary
`void` `execute()` Changes the root of the model.
`java.lang.Object` `getCell()`
`java.lang.Object` `getPrevious()`
`java.lang.Object` `getValue()`

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected java.lang.Object cell

### value

    protected java.lang.Object value

### previous

    protected java.lang.Object previous

Constructor Detail

### mxGraphModel.mxValueChange

    public mxGraphModel.mxValueChange(mxGraphModel model,
                                      java.lang.Object cell,
                                      java.lang.Object value)

Method Detail

### getCell

    public java.lang.Object getCell()

  Returns:
    the cell

### getValue

    public java.lang.Object getValue()

  Returns:
    the value

### getPrevious

    public java.lang.Object getPrevious()

  Returns:
    the previous

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.